<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="banner-cta" v-for="banner in banners" :key="banner.id">
        <div class="banner-cta-media">
            <img v-if="banner.media_type == 1" :src="banner.media_url" :alt="banner.title">
            <video v-else :src="banner.media_url"></video>
        </div>
        <div class="banner-cta-caption">
            <div>
                <h2>{{ banner.title }}</h2>
                <p v-if="banner.text">{{ banner.text }}</p>
            </div>
            <div class="banner-cta-actions">
                <a :href="banner.button_link" class="button button-default"><div class="button-inner"><span><i class="icon-arrow-right"></i></span>{{ banner.button_text }}</div></a>
            </div>
        </div>
    </div>
</template>
<script setup lang="ts">

    const { banners } = defineProps(['banners']);
    // console.log('banners', banners);
</script>